/* intro */
.intro {
    position: relative;
}

.intro__wrapper .swiper-slide {
    height: auto;
}

.intro__slide {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 20px;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    position: static;
    height: 100%;
    max-width: 1470px;
}

.intro__wrapper,
.intro__inner {
    position: static;
}

.intro__bg {
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
    bottom: 0;
    right: 0;
    -webkit-clip-path: circle(50% at 0 0);
    clip-path: circle(50% at 0 0);
    -webkit-transition: opacity 0.4s ease, -webkit-clip-path 1s ease;
    transition: opacity 0.4s ease, -webkit-clip-path 1s ease;
    -o-transition: clip-path 1s ease, opacity 0.4s ease;
    transition: clip-path 1s ease, opacity 0.4s ease;
    transition: clip-path 1s ease, opacity 0.4s ease, -webkit-clip-path 1s ease;
    opacity: 0;
}
.intro .swiper-slide:first-child.swiper-slide-active .intro__bg {
    opacity: 1;
    clip-path: circle(100%);
    transition: none;
}


.intro__bg img {
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

.intro__picture {
    opacity: 0;
    -webkit-transition: opacity 0.3s ease;
    -o-transition: opacity 0.3s ease;
    transition: opacity 0.3s ease;
    display: flex;
    align-items: flex-end;
}
.intro .swiper-slide:first-child.swiper-slide-active .intro__picture {
    opacity: 1;
    transition: none;
}
.intro__picture img {
    height: auto;
}

.intro__picture_big {
    margin-right: -200px;
}

.swiper-slide-active .intro__bg {
    opacity: 1;
    -webkit-clip-path: circle(100%);
    clip-path: circle(100%);
}

.swiper-slide-active .intro__picture {
    opacity: 1;
}

.intro_swiper-pag {
    left: 100px;
    right: 100px;
    width: calc(100% - 200px);
}

.intro__pagintaion .swiper-pagination-bullet {
    width: var(--swiper-pagination-bullet-width, var(--swiper-pagination-bullet-size, 18px));
    height: var(--swiper-pagination-bullet-height, var(--swiper-pagination-bullet-size, 18px));
    border: 2px solid #fff;
    border-radius: 50%;
    opacity: var(--swiper-pagination-bullet-inactive-opacity, 1);
    background: -webkit-gradient(linear, left top, left bottom, from(#999), to(#E1E1E1));
    background: -o-linear-gradient(top, #999 0%, #E1E1E1 100%);
    background: linear-gradient(180deg, #999 0%, #E1E1E1 100%);
}

.intro__pagintaion .swiper-pagination-bullet.swiper-pagination-bullet-active {
    background: #666;
}

.swiper-pagination-bullets.intro__pagination {
    position: absolute;
    bottom: var(--swiper-pagination-bottom, 30px);
    left: 0;
    right: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.intro__item {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    padding: 20px 0;
    gap: 70px;
    color: #fff;
}

.intro__item_black {
    color: #333;
}

.intro__btn::before {
    display: block;
    content: "";
    width: 22px;
    height: 22px;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    background: url("../assets/img/icons/circle.svg") center center no-repeat;
    -o-object-fit: cover;
    object-fit: cover;
}

@supports not (background: url("../assets/img/icons/circle.svg")) {
    .intro__btn::before {
        background: url("../assets/img/icons/circle.png") center center no-repeat;
    }
}

.intro__title {
    font-weight: 700;
    font-size: 50px;
    line-height: 1.2;
    max-width: 600px;
}

.intro__list ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 20px;
}

.intro__list ul li {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 10px;
}
.intro_list-picture {
    flex-shrink: 1;
}
.intro_list-picture img {
    width: 22px;
    height: 22px;
    object-fit: fill;
}
/* intro media */
@media (max-width: 1750px) {
    .intro__picture {
        max-width: 600px;
    }
    .intro__picture_big {
        margin-right: -100px;
        max-width: 800px;
    }
    .intro__slide {
        max-width: 1200px;
    }
}

@media (max-width: 1500px) {
    .intro_swiper-pag {
        left: 20px;
        right: 20px;
        width: calc(100% - 40px);
    }
}

@media (max-width: 1400px) {
    .intro__picture img {
        height: 100%;
    }
    .intro__slide {
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        padding-bottom: 50px;
    }

    .intro__item>* {
        position: relative;
        z-index: 10;
    }

    .intro__item {
        color: #fff;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        text-align: center;
        gap: 30px;
        max-width: 400px;
    }

    .intro__item::before {
        display: block;
        content: "";
        width: 100%;
        height: 100%;
        position: absolute;
        z-index: 1;
        inset: 0;
        background-color: rgba(0, 0, 0, 0.4);
    }

    .intro__item_black .intro_list-picture img {
        -webkit-filter: brightness(0%) invert(1);
        filter: brightness(0%) invert(1);
    }

    .intro__picture {
        width: 100%;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 50%;
        -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
            transform: translateX(-50%);
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
    }

    .intro__picture img {
        width: auto;
    }

    .intro__title {
        font-size: 40px;
    }
}

@media (max-width: 700px) {
    .swiper-slide .intro__bg {
        opacity: 1;
        -webkit-clip-path: circle(100%);
        clip-path: circle(100%);
    }
    .swiper-slide .intro__picture {
        opacity: 1;
    }
    .intro__item {
        gap: 70px;
    }

    .intro__title {
        font-size: 36px;
    }

    .intro_swiper-pag {
        left: 10px;
        right: 10px;
        width: calc(100% - 20px);
    }

    .intro__picture {
        max-height: 100%;
    }

    .intro__picture img {
        -o-object-fit: cover;
        object-fit: cover;
    }
}

@media (max-width: 380px) {
    .intro__title {
        font-size: 30px;
    }

    .intro__slide {
        padding-bottom: 50px;
    }
}